#pragma once

#include "ml.h"
#include "usql/usql.h"


class uSQL : public usql::USql {

private:
    uSQL() {};

public:
    static uSQL& instance(){
    	static uSQL instance;
    	return instance;
    }

public:
    MlValue execute(const std::string &command);

private:
    MlValue ivaluize(const usql::Table *table);

};
